/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
/* z_time.h
   Executed on front end.

 * $Source$
 * $Revision: 5167 $
 * $Date: 2004-10-20 13:20:33 -0300 (Wed, 20 Oct 2004) $
 * $Log$
 * Revision 1.3  2004/10/20 16:20:33  bremner
 * added copyright notice and GPL boilerplate
 *
 * Revision 1.2  2000/11/15 16:14:52  bremner
 *
 * committing patched version of zram source
 *
 * Revision 1.3  1997/10/17  12:16:46  marzetta
 * removed definition of TIME, added _Z_TIME_H_
 *
 * Revision 1.2  1995/09/14  12:25:16  marzetta
 * *** empty log message ***
 *
 * Revision 1.1  1995/08/22  12:42:50  marzetta
 * Initial revision
 *
 */

#ifndef _Z_TIME_H_
#define _Z_TIME_H_

double z_Wtime(void);
/* Return the number of seconds elapsed since some starting point
   (wall clock time). Must be saved as double, not as float.
 */

double z_Ptime(void);
/* Return the number of cpu seconds used by the current process.
   Must be saved as double, not as float.
 */

#define z_Gtime ((z_numprocs == 1) ? z_Ptime : z_Wtime)
/* General time measurement: elapsed time for parallel computers
                             cpu time for sequential computers. */

#endif /* _Z_TIME_H_ */
