/*--

   Copyright (c) 2004 Ambros Marzetta and David Bremner

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

--*/
#ifndef ZCONF_H_
#define ZCONF_H_

#include <limits.h>
#include <stdlib.h>
#define STRSIZ PATH_MAX

typedef struct zconf_proc_struct {
  int configured;
  char checkpoint[STRSIZ];
} zconf_proc_t, *zconf_proc_p;

typedef struct zconf {
  char name[STRSIZ];
  char arch[STRSIZ];
  int seq;	/* Checkpoint sequence number, common all files constituting
		   a snapshot */
  int numprocs;
  int file_version;
  int sentinel;
  zconf_proc_t global;
  zconf_proc_t proc[1]; /* variable size */
} zconf_t, *zconf_p;
#endif
